module Necessitas
  module Models
    module Besse
      class OrderItem < Hashie::Trash
        include Hashie::Extensions::IgnoreUndeclared
        include Hashie::Extensions::IndifferentAccess

        property :SAPMaterialNumber, from: :item_number, required: false
        property :OrderItemQuantity, from: :quantity, required: false
        property :VendorBatchNumber, from: :batch_number, required: false
        property :CustomerOrderLineNumber, from: :line_number, required: false
      end
    end
  end
end
